
#using_animtree("generic_human");
main()
{
	setExpFog (.000162, .78, .79, .80, 0);
        maps\_load::main();
        maps\_treadfx::main("night");
	
	precacheModel("xmodel/head_blane");  //head for script dieing models
	precacheModel("xmodel/ammo_panzerfaust_box2");
	precacheModel("xmodel/weapon_panzerfaust");


	//Set Ambient Tracks
	level.ambient_track ["inside"] = "ambient_training_int";
	level.ambient_track ["outside"] = "ambient_training_ext";
	thread maps\_utility::set_ambient("outside");

        
	level.campaign = "american";

        end_level = getent ("end_level","targetname"); 
        
        thread alarm_sound();
        thread music();
        thread tankReplacesObjective();
       
}


tankReplacesObjective ()
{
        legbag = getEnt("legbag","targetname");
 	
 	objective_add(1, "active", &"MAP6_OBJ1",legbag.origin);
	objective_current(1);

	trigger = getent ("legbag_trigger", "targetname");
	trigger setHintString(&"MAP6_LEGBAG"); // + binding
	trigger waittill ("trigger");
	org = legbag.origin;
	legbag delete();
	trigger delete();
	maps\_utility::keyHintPrint(&"MAP6_OBJECTIVEHINT", getKeyBinding("+scores"));
	objective_state(1, "done");
//	maps\_utility::playSoundinSpace ("PU_leg_bag", org);
        thread field_sniper_stance(nSniper);
                      
}

field_sniper_stance(nSniper)
{
	
        objective_add(5, "current", &"MAP6_OBJ5", getent("end_level","targetname").origin);
        objective_add(5, "active", &"MAP6_OBJ5", (9144, -8912, 0));
	objective_current(5);
        objective_string(5, &"MAP6_OBJ5");
	trigger waittill ("trigger");
	getent ("end_level","targetname") thread endlevel();
     
}

alarm_sound()
{
	wait 4; //soft wait

	alarms = getentarray ("alarm_sound", "targetname");
	for (i=0;i<alarms.size;i++)
	{
		alarms[i] playloopsound("air_raid_siren");
	}
}



music()
{
	level waittill ("finished intro screen");
	musicPlay("burnville_speech");
	
	wait 24;
	musicStop();
	musicPlay("dam_a");
	
	wait 10;
	musicPlay("dam_a");
	
	while(1)
	{
		wait 10;
		musicplay("dam_a");
	}
}

endlevel()
{
	self waittill ("trigger");
        objective_state(5, "done");
//	changelevel("map6", 0, false, false);
	missionSuccess ("map7", true);
}



 
